Subject: Re: [ANNOUNCE] Stacked Git 0.15-rc1

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Mon, 13 Jul 2009 19:03:43 +0530

On Sun, Jul 12, 2009 at 11:40:05PM +0100, Catalin Marinas wrote:
> The first release candidate for StGit 0.15 is available from the
> git://repo.or.cz/stgit.git or http://download.gna.org/stgit/. Bugs can
> be reported on the Git mailing list or via the project bugs page
> (https://gna.org/bugs/?group=stgit).
> 
> StGit is a Python application providing similar functionality to Quilt
> (i.e. pushing/popping patches to/from a stack) on top of Git. These
> operations are performed using Git commands and the patches are stored
> as Git commit objects, allowing easy merging of the StGit patches into
> other repositories using standard Git functionality.
> 
> The main changes since release 0.14.3 (I may miss some important
> features but they can be found in the log):

stg show now gives me output like below

ESC[1mdiff --git a/fs/nfs/nfs4acl.c b/fs/nfs/nfs4acl.cESC[m
ESC[1mindex 09946da..c9a6dee 100644ESC[m
ESC[1m--- a/fs/nfs/nfs4acl.cESC[m
ESC[1m+++ b/fs/nfs/nfs4acl.cESC[m
ESC[36m@@ -37,6 +37,7 @@ESC[m

I guess it is due to coloring enabled in git. I have in git 

$ git config --get  "color.ui"
auto
$ 

git show does the right thing. ie show the diff in color

-aneesh